<?php
// Include & setup custom metabox and fields
$prefix = '_responsive_'; // start with an underscore to hide fields from custom fields list
add_filter( 'cmb_meta_boxes', 'be_sample_metaboxes' );
function be_sample_metaboxes( $meta_boxes ) {
	global $prefix;
	$meta_boxes[] = array(
                            'id' => 'responsive_metabox',
                            'title' => 'Responsive Options',
                            'pages' => array('post'), // post type
                            'context' => 'normal',
                            'priority' => 'high',
                            'show_names' => true, // Show field names on the left
                            'fields' => array(         
                                                array(
                                                    'name' => 'Large Image Single Page',
                                                    'desc' => 'Upload or enter a url of home page large Image : 700x250',
                                                    'id' => $prefix . 'large_image',
                                                    'type' => 'file',
                                                     ),           
                    
                                              ),
                              );
        
        
      	$meta_boxes[] = array(
                            'id' => 'responsive_metabox',
                            'title' => 'Featured Options',
                            'pages' => array('featured'), // post type
                            'context' => 'normal',
                            'priority' => 'high',
                            'show_names' => true, // Show field names on the left
                            'fields' => array(  
                                  array(
                                    'name' => 'Add Slider Image',
                                    'desc' => 'Upload or enter a url of Add Slider Image:960px x 345px',
                                    'id' => $prefix . 'slider_image',
                                    'type' => 'file',
                                        ),  
                                       array(
                                    'name' => 'Add Slider Caption',
                                    'desc' => 'Enter slider caption text',
                                    'id' => $prefix . 'slider_caption_text',
                                    'type' => 'text',
                                        ), 
                                
                                    array(
                                    'name' => 'Add Slider Image Link',
                                    'desc' => 'Enter slider image url',
                                    'id' => $prefix . 'slider_image_link',
                                    'type' => 'text',
                                        ), 
                                
                    
                                              ),
                              );  
        
return $meta_boxes;
}
add_action( 'init', 'be_initialize_cmb_meta_boxes', 9999 );
function be_initialize_cmb_meta_boxes() {
	if ( !class_exists( 'cmb_Meta_Box' ) ) {
		require_once( 'metabox_class.php' );
	}
}